Jump to content
pspr

Help Installing the WP-PageNavi Pluggin

Recommended Posts

pspr

Hi guys I need some help installing the WP-PageNave pluggin. The instructions are really short but I cant seem to pass the first step. Im using the the Pagelines Framework 2.4.1 theme. I cant seem to find the next_posts_link() ..... I would appreciate any help I can get. Thank you.

 

Usage

In your theme, you need to find calls to next_posts_link() and previous_posts_link() and replace them.

In the Twentyten theme, it looks like this:

<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'twentyten' ) ); ?></div>
<div class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'twentyten' ) ); ?></div>

You would replace those two lines with this:

<?php wp_pagenavi(); ?>

For multipart pages, you would look for code like this:

<?php wp_link_pages( ... ); ?>

and replace it with this:

<?php wp_pagenavi( array( 'type' => 'multipart' ) ); ?>

Go to WP-Admin -> Settings -> PageNavi for configuration.

Share this post


Link to post
Share on other sites
James B

Post duplicated, closing this one and responding on the other.


Kindly search the forum and read the documentation before posting. It will help you resolve many issues.

For CSS help be sure to check out W3Schools first and be sure to download FireBug for FireFox for troubleshooting.

James B

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

×